
QGIS Application - Bug report #9019

raster "save as..." "abort" doesn't abort

2013-11-06 09:46 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 17674

Description

I start a "Save as" for a raster layer. No matter what settings I use, or the source format, pressing "Abort" once the save has started simply

results in the interface becoming unusable and windows thinking its crashed. If I wait patiently (as I know it hasn't actually crashed looking

at the process), I see that it's still processing away and does so for several minutes before I get bored and just kill QGIS entirely.

Windows 7, x64.

History

#1 - 2013-11-06 10:04 AM - Jonathan Moules

This seems to be a little nuanced after all.

I'm testing using absurdly large files (5GB JP2 that's ~40GB uncompressed).

I'm saving as an uncompressed GeoTIFF. QGIS does this in two stages:

Stage 1) It creates a blank GeoTIFF file of the right size. During this stage the abort button isn't even shown - QGIS is entirely locked up. Pressing the "x"

(to act as abort) on the process functions as described above.

Stage 2) QGIS then starts "Reading raster part x of y" - "Abort" works during this period.

#2 - 2013-11-07 02:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

I'm testing using absurdly large files (5GB JP2 that's ~40GB uncompressed).

sounds like an edge case

#3 - 2013-11-07 02:43 AM - Jonathan Moules

I'm not sure about edge-case. The behaviour is there 100% of the time. It's just that stage 1 is super-quick for smaller files so not-noticeable.

It depends on two factors:

1) The speed of your disk (for stage 1 writing).

2) The size of the file. Anything over a few hundred megabytes and it'll take long enough to be noticeable. Get into GB range and stage 1 lasts several

seconds at least, even with an SSD.
#4 - 2013-11-07 03:39 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Subject changed from "Abort" save as doesn't abort to raster "save as..." "abort" doesn't abort

- Status changed from Feedback to Open

#5 - 2014-06-21 06:29 AM - Jürgen Fischer

- Category set to Rasters

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-03-01 12:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#8 - 2018-08-23 08:44 PM - Giovanni Manghi

- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.
